import { ArgumentsHost, ExceptionFilter } from '@nestjs/common';
export declare class GlobalExceptionFilter implements ExceptionFilter {
    private readonly sendClientInternalServerErrorCause;
    private readonly logAllErrors;
    private readonly logErrorsWithStatusCode;
    private static extractIntegrationErrorDetails;
    private logger;
    constructor(sendClientInternalServerErrorCause?: boolean, logAllErrors?: boolean, logErrorsWithStatusCode?: number[]);
    catch(exception: any, host: ArgumentsHost): any;
    private getClientResponseMessage;
}
