"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("@nestjs/common");
class IntegrationError extends common_1.InternalServerErrorException {
    constructor(message, causeError) {
        super({ error: message, statusCode: common_1.HttpStatus.INTERNAL_SERVER_ERROR });
        this.causeError = causeError;
    }
}
exports.IntegrationError = IntegrationError;
//# sourceMappingURL=IntegrationError.js.map